### Method

# Clutter Text get_selection

#### Declaration [src]

    gchar*
    clutter_text_get_selection (
      ClutterText* self
    )

#### Description [src]

Retrieves the currently selected text.

#### Return value

Type: `gchar*`

A newly allocated string containing the currently selected text, or `NULL`. Use `g_free()` to free the returned string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.